> For the complete documentation index, see [llms.txt](https://docs.ilert.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ilert.com/changelog/2025/may-2025-2.md).

# October 2025

### New features and improvements

* We have enabled **custom processing rules for every alert source** integration type, if you wish to customize even-type handling behavior of your alert source, because our default choice does not fit, you can quickly adjust event-type mapping with the help of ICL
* We have added an **alertKey template for every alert source**, you may now decide to customize your alertKey extraction if you dont want to go with our default e.g. for the Kubernetes Alert Source you may decide to move the default from `{{ podName }}` to `{{ deployment }}` to group a little more aggressively
* We have improved the [Slack alert action experience around channels](/chatops/slack/post-alerts-to-a-slack-channel.md), now directly adhearing to Slack channel permissions if your user account email is mapped and removing any cache overlays to let you see new channels and permission changes instantly in the UI
* We have released [a new version of our (outbound) Webhook](/integrations/outbound-integrations/webhook.md), that also streamlines the variables with conditional execution and supports new fields that have since been added to the alert object, the docs have also been adjusted to better support you in setting up custom webhooks
* New UI for the account invoice list

### Integration updates

* New inbound integration AzureDevOps
* New deployment pipeline integration AzureDevOps
* New inbound integration Level.io


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ilert.com/changelog/2025/may-2025-2.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
